Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_User_Id_Strategy Class Reference

User id strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_User_Id_Strategy:

[legend]
Collaboration diagram for TAO_User_Id_Strategy:

[legend]
List of all members.

## Public Methods
virtual int | bind_using_system_id (PortableServer::Servant servant, CORBA::Short priority, TAO_Active_Object_Map::Map_Entry *&entry)
| Must be used with SYSTEM_ID policy.

## Detailed Description

User id strategy.

Strategy for the USER_ID policy.

## Member Function Documentation

int TAO_User_Id_Strategy::bind_using_system_id | ( | PortableServer::Servant | servant,
|  | CORBA::Short | priority,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[virtual]`

| Must be used with SYSTEM_ID policy. Implements TAO_Id_Assignment_Strategy.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp